# Sablotron Guide and Reference

SablotAddParam | Functions

#### Summary

Sets the value of the parameter for the processing.

#### Syntax

    int SablotAddParam(SablotSituation S,
           void *processor_,
           const char *paramName,
           const char *paramValue);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`processor_` | `void*` | Processor handle
`paramName` | `const char*` | parameter name
`paramValue` | `const char*` | parameter value

#### Description

Use this function if you need to set the external parameter for the upcoming processing (for the top-level ).

#### Notes

Currently the parameter value MUST be UTF-8 encoded.

#### See Also

Groups | [ Functions ]
Entries | [ .Usage | SablotRunProcessorGen | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC